// src/workers/kv/assets.worker.ts
import { SharedBindings } from "miniflare:shared";
var assets_worker_default = {
  async fetch(request, env) {
    if (request.method !== "GET") {
      let message = `Cannot ${request.method.toLowerCase()}() with Workers Assets namespace`;
      return new Response(message, { status: 405, statusText: message });
    }
    let pathHash = new URL(request.url).pathname.substring(1), entry = env.__STATIC_ASSETS_REVERSE_MAP[pathHash];
    if (entry === void 0)
      return new Response("Not Found", { status: 404 });
    let { filePath, contentType } = entry;
    return env[SharedBindings.MAYBE_SERVICE_BLOBS].fetch(new URL(filePath, "http://placeholder"));
  }
};
export {
  assets_worker_default as default
};
//# sourceMappingURL=assets.worker.js.map
